// SPDX-License-Identifier: GPL-3.0-or-later

#include "platform.h"

int fchmod_opath(int fd, mode_t mode) {
	if (fchmod(fd, mode) < 0)
		return -errno;
	return 0;
}

int parse_attribute_from_arg(Item *item) {
	log_warning("Setting file attributes is not supported on this platform, ignoring for path '%s'.", item->path);
	return 0;
}

int fd_set_attribute(Item *i, int fd, const char *path, const struct stat *st) {
	(void)i;
	(void)fd;
	(void)path;
	(void)st;
	if (i->attribute_set)
		log_debug("File attributes not supported on this platform, ignoring.");
	return 0;
}

int path_set_attribute(Item *i, const char *path) {
	(void)i;
	(void)path;
	if (i->attribute_set)
		log_debug("File attributes not supported on this platform, ignoring.");
	return 0;
}
